/* body styling */ 
body{
    margin: 1px;
    background-color: lightgrey;
}
/* header styling */
.heading{
    text-align: center;

}
.header:after {
    content: "";
    display: table;
    clear: both;
  }
/* input styling */
input {
    margin: 0;
    border: none;
    border-radius: 0;
    width: 50%;
    padding: 10px 20px;
    font-size: 16px;
}
/* add button styling */
.addBtn {
    padding: 10px;
    width: 25%;
    background:black;
    color: white;
    text-align: center;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s;
    border-radius: 0;
  }
  
.addBtn:hover {
    background-color: #bbb;
    color: black;
  }
/* list items styling*/
ul {
   
    padding-top: 10px;
    width: 56%;
    padding-inline-start: 22%;
    list-style-type: none;
    
  }
  /*Style to list items */
ul li {
    cursor: pointer;
    position: relative;
    padding: 12px 8px 12px 100px;
    list-style-type: none;
    background: #eee;
    font-size: 18px;
    transition: 0.2s;
    
/* make the list items unselectable */
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
/* Set all odd list items to a different color (zebra-stripes) */
ul li:nth-child(odd) {
    background: #dac7c7;
  }
/* Darker background-color on hover */
ul li:hover {
    background: #ddd;
  }
  
/* When clicked on, add a background color and strike out text */
ul li.checked {
    background: rgb(201, 200, 200);
    color: rgb(15, 15, 15);
    text-decoration: line-through;
  }
/* Add a "checked" mark when clicked on */
ul li.checked::before {
    content: '';
    position: absolute;
    border-color: #fff;
    border-style: solid;
    border-width: 0 2px 2px 0;
    top: 10px;
    left: 16px;
    transform: rotate(45deg);
    height: 15px;
    width: 7px;
  }
  /* Close button */
  .close {
    position: absolute;
    right: 0;
    top: 0;
    padding: 12px 16px 12px 16px;
  }
  
  .close:hover {
    background-color: #f44336;
    color: white;
  }
  